#include <linux/build-salt.h>
#include <linux/module.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(.gnu.linkonce.this_module) = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

static const struct modversion_info ____versions[]
__used __section(__versions) = {
	{ 0x1949d08b, "module_layout" },
	{ 0xb3635b01, "_raw_spin_lock_bh" },
	{ 0x4b543c79, "nf_ct_helper_init" },
	{ 0x837b7b09, "__dynamic_pr_debug" },
	{ 0x14c444cc, "nf_ct_expect_init" },
	{ 0xd4792e52, "param_ops_bool" },
	{ 0x6ff3a914, "nf_conntrack_helpers_register" },
	{ 0xc5850110, "printk" },
	{ 0x57683890, "nf_ct_expect_put" },
	{ 0xeff23387, "nf_ct_expect_alloc" },
	{ 0x354a986, "nf_ct_expect_related_report" },
	{ 0x9f5c89b6, "nf_conntrack_helpers_unregister" },
	{ 0x49c41a57, "_raw_spin_unlock_bh" },
	{ 0xdecd0b29, "__stack_chk_fail" },
	{ 0xb8b9f817, "kmalloc_order_trace" },
	{ 0x96b29254, "strncasecmp" },
	{ 0x2ea2c95c, "__x86_indirect_thunk_rax" },
	{ 0x979c28e3, "nf_ct_helper_log" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x37a0cba, "kfree" },
	{ 0x248e5e4a, "param_array_ops" },
	{ 0x609bcd98, "in6_pton" },
	{ 0x7c7f8125, "param_ops_ushort" },
	{ 0xc6e026cf, "skb_copy_bits" },
};

MODULE_INFO(depends, "nf_conntrack");


MODULE_INFO(srcversion, "5C6AB06E60B28505C89CE77");
